DynamicJava Javadoc: Class InterpreterException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.interpreter
Class InterpreterException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Error
                  |
                  +--koala.dynamicjava.interpreter.error.ExecutionError
                        |
                        +--koala.dynamicjava.interpreter.throwable.ThrownException
                              |
                              +--koala.dynamicjava.interpreter.InterpreterException

All Implemented Interfaces:
  java.io.Serializable

public class InterpreterException
extends ThrownException

This exception is thrown when an error append while interpreting a statement

See Also:
  Serialized Form

Inner Class Summary
`static class` | `InterpreterException.SourceInformation` To represent the source code informations

Field Summary
`protected java.lang.String` | `message` The detailed message
`protected InterpreterException.SourceInformation` | `sourceInformation` The source code information

Fields inherited from class koala.dynamicjava.interpreter.error.ExecutionError
`SHOW_CAUSE_PROPERTY, SHOW_TRACE_PROPERTY, thrown`

Constructor Summary
`InterpreterException(ExecutionError e)` Constructs an `InterpreterException` from a ExecutionError
`InterpreterException(ParseError e)` Constructs an `InterpreterException` from a ParseError

Method Summary
`java.lang.Throwable` | `getError()`
`java.lang.String` | `getMessage()` Returns the detailed message
`InterpreterException.SourceInformation` | `getSourceInformation()` Returns the source code information if available, or null

Methods inherited from class koala.dynamicjava.interpreter.throwable.ThrownException
`getException`

Methods inherited from class koala.dynamicjava.interpreter.error.ExecutionError
`getNode, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sourceInformation

    protected InterpreterException.SourceInformation sourceInformation

  The source code information

### message

    protected java.lang.String message

  The detailed message

Constructor Detail

### InterpreterException

    public InterpreterException(ParseError e)

  Constructs an `InterpreterException` from a ParseError

### InterpreterException

    public InterpreterException(ExecutionError e)

  Constructs an `InterpreterException` from a ExecutionError

Method Detail

### getError

    public java.lang.Throwable getError()

### getSourceInformation

    public InterpreterException.SourceInformation getSourceInformation()

  Returns the source code information if available, or null

### getMessage

    public java.lang.String getMessage()

  Returns the detailed message
  Overrides:
    `getMessage` in class `ExecutionError`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.